Bug 184467 - Review Request: cmake - Cross-platform make system
Review Request: cmake - Cross-platform make system
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Package Reviews List
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-08 18:20 EST by Orion Poplawski
Modified: 2008-03-28 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-29 15:37:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-03-08 18:20:39 EST
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/cmake.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/cmake-2.2.3-1.src.rpm
Description: 
CMake is used to control the software compilation process using simple
platform and compiler independent configuration files. CMake generates
native makefiles and workspaces that can be used in the compiler
environment of your choice. CMake is quite sophisticated: it is possible
to support complex environments requiring system configuration, pre-processor
generation, code generation, and template instantiation.
Comment 1 Gérard Milmeister 2006-03-16 14:59:32 EST
- rpmlint complains about development. Since they are part of the main
  package, these errors can be ignored.
- Maybe also include the Example directory with the doc dir.
- Include the cmake-mode.el for emacs, the .vim files for vim
Comment 2 Orion Poplawski 2006-03-21 19:12:27 EST
http://www.cora.nwra.com/~orion/fedora/cmake-2.2.3-2.src.rpm
http://www.cora.nwra.com/~orion/fedora/cmake.spec

- Made emacs and vim sub-packages for the .el and .vim files.  Haven't tested
them yet though.
- Include Examples in the docs
Comment 3 Gérard Milmeister 2006-03-26 07:40:02 EST
- "cp -a Docs/Example ..." should be "cp -a Example ..."
- instead of requiring /usr/share/emacs/site-lisp:
  Requires: emacs-common
  The same goes for vim:
  Requires: vim-common
  The problem is, that the location is only correct for
  a specific version of vim. Is there no version-independent
  site directory like for emacs?
Comment 4 Orion Poplawski 2006-03-27 11:41:49 EST
(In reply to comment #3)
> - "cp -a Docs/Example ..." should be "cp -a Example ..."

Fixed.

> - instead of requiring /usr/share/emacs/site-lisp:
>   Requires: emacs-common
>   The same goes for vim:
>   Requires: vim-common
>   The problem is, that the location is only correct for
>   a specific version of vim. Is there no version-independent
>   site directory like for emacs?
> 

I prefer the way it is.  What the package really requires is the existence of
the directories /usr/share/emacs/site-lisp.  If this directory ends up being in
another package, I don't have to do anything.

I was not able to find a version-independent site directory for vim, unfortunately.
Comment 5 Rex Dieter 2006-03-27 11:48:00 EST
Re: emacs site-lisp
Another simplistic approach (that some, me not included, object to) is to 
1. install the files to /usr/share/emacs/site-lisp
2. include these in the main pkg (ie, no subpkg)
3. Add no additional/special Requires wrt emacs.

It's simple and it works (when emacs is installed, or any other package that
"owns" /usr/share/emacs/site-lisp).  At worst, when emacs is not installed, you
have files installed into an unowned dir.  IMO, the benefits of this approach
(mostly it's simplicity) outweigh the disadvantage of installing files into a
potentially unowned dir (site-lisp).

The same general approach can be applied to the vim files too.
Comment 6 Gérard Milmeister 2006-03-27 12:51:56 EST
In general I object to potentially unknowned directories :-)
However in this case, for simplicity's sake I agree.
Another possibility is to own "/usr/share/emacs". Several other
packages do this.
Comment 7 Orion Poplawski 2006-03-28 17:24:59 EST
http://www.cora.nwra.com/~orion/fedora/cmake-2.2.3-3.src.rpm
http://www.cora.nwra.com/~orion/fedora/cmake.spec

How about this?  It owns the emacs and vim directories so they are created with
proper permissions, but doesn't an any runtime requirements.
Comment 8 Gérard Milmeister 2006-03-29 03:34:32 EST
Looks good now.
APPROVED
Comment 9 Orion Poplawski 2006-03-29 15:37:01 EST
checked in, built on devel, added to owners.list.
Comment 10 Orion Poplawski 2007-03-22 14:13:59 EDT
Package Change Request
======================
Package Name: cmake
New Branches: EL-4 EL-5
Comment 11 Orion Poplawski 2008-03-28 11:10:24 EDT
Package Change Request
======================
Package Name: cmake
New Branches: F-9
Comment 12 Kevin Fenzi 2008-03-28 12:54:43 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.